Summary:	noip - Linux client for the noip.com dynamic DNS service
Summary(pl.UTF-8):	noip - linuksowy klient serwisu dynamicznego DNS noip.com
Name:		noip
Version:	2.1.9
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.noip.com/client/linux/%{name}-duc-linux.tar.gz
# Source0-md5:	eed8e9ef9edfb7ddc36e187de867fe64
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-config_location.patch
Patch2:		format-security.patch
URL:		http://www.noip.com/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the NoIP.com Dynamic DNS update client page.

When configured correctly, the client will check your IP address at a
given time interval checking to see if your IP has changed. If your IP
address has changed it will notify NoIP DNS servers and update the IP
corresponding to your NoIP/NoIP+ hostname.

NOTE: You must add hostnames on the website <http://www.noip.com>
first before you can have the updater update them.

%description -l pl.UTF-8
To jest klient aktualizujący nasz wpis w systemie NoIP.com

Dobrze skonfigurowany klient będzie sprawdzał dany adres IP w
określonych odstępach czasu, aby wykryć zmiany. Jeśli adres IP się
zmieni, klient poinformuje serwery DNS NoIP i zaktualizuje numer IP
odnoszący się do odpowiedniej nazwy hosta w systemie NoIP/NoIP+.

UWAGA: aktualizacja nazw hostów za pomocą tego programu będzie możliwa
po ich dodaniu na stronie <http://www.noip.com>.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{__mv} %{name}2.c %{name}.c

%build
%{__make} \
	PREFIX=%{_prefix} \
	CONFDIR=%{_sysconfdir} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
%{__make} install \
	CONFDIR=%{_sysconfdir} \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add noip
%service noip restart "noip client daemon"

%preun
if [ "$1" = "0" ]; then
	%service noip stop
	/sbin/chkconfig --del noip
fi

%files
%defattr(644,root,root,755)
%doc README.FIRST
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(4750,root,adm) %{_sbindir}/noip
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%changelog
* Sun Jul 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/noip.git;a=log;h=master

* Sun Jul 21 2013 Jan Rękorajski <baggins@pld-linux.org> 13f54e2
- added missing patch

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 86e5119
- running typo, introduced in initial 75445120 commit

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> d91bf11
- unify init script

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 1fdda70
- Werror=format-security fixes; rel 3

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 03ba0fd
- use noip.com name, cosmetics

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 6bbebd0
- executable

* Fri Oct 29 2010 Paweł Gołaszewski <blues@pld-linux.org> 406f1fe
- rel.2: add sysconfig with options support; fix config-file ownership
  (see previous commit)

* Fri Oct 29 2010 Paweł Gołaszewski <blues@pld-linux.org> 1693bf1
- drop TODO. noip doesn't (and shouldn't) own its config. Privileges are
  dropped _after_ config is read.

* Tue Nov 25 2008 Paweł Gołaszewski <blues@pld-linux.org> beb6ffc
- security note

* Tue Nov 25 2008 Karol Krenski <charles@pld-linux.org> 8784e35
- s/mkdir/install/

* Tue Nov 25 2008 Karol Krenski <charles@pld-linux.org> e610fad
- updated to 2.1.9 [fixes buffer-overflow]

* Tue Nov 25 2008 Karol Krenski <charles@pld-linux.org> 0a3d769
- updated for 2.1.9

* Mon Aug 18 2008 Karol Krenski <charles@pld-linux.org> e349d8a
- updated for 2.1.7

* Mon Aug 18 2008 Karol Krenski <charles@pld-linux.org> ad87dcf
- updated to 2.1.7

* Wed May 09 2007 Elan Ruusamäe <glen@pld-linux.org> 6317f2a
- use functions

* Wed May 09 2007 Paweł Gołaszewski <blues@pld-linux.org> 6d2e9b6
- fixed config check condition. That one works in real life.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b711cfc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 08603ba
- converted to UTF-8

* Sun May 21 2006 Elan Ruusamäe <glen@pld-linux.org> dacbda1
- rel 5

* Thu Apr 13 2006 Paweł Gołaszewski <blues@pld-linux.org> 3507682
- TODO added

